
const { getRepoName } = require("./pre-commit");
const { repoURL } = require('./preCommitRequestUtils.json'); 
const { handleExceptionCase } = require("./utils/getScripts");

const exceptionHandleObject = {
    rulesConfig : [{},{}],
    plugins: [],
    extendPlugins:[]
}

const configuration =  handleExceptionCase(exceptionHandleObject,`Kindly Ensure that Configuration is setup in Configuration repo \n ${repoURL}`,require,`./configuration/services/${getRepoName()}/index.js`)

const { rulesConfig,plugins,extendPlugins } = configuration;


module.exports = {
    rulesConfig,
    plugins,
    extendPlugins
}
